<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Réinitialisation du mot de passe</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css">
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            background: white;
            padding: 40px;
            border-radius: 8px;
            box-shadow: 0 4px 10px rgba(0,0,0,0.1);
            width: 300px;
        }
        h2 {
            text-align: center;
            color: #333;
            margin-bottom: 30px;
        }
        label {
            display: block;
            margin-bottom: 5px;
            color: #666;
        }
        .password-wrapper {
            position: relative;
            margin-bottom: 20px;
        }
        input[type="password"], input[type="text"] {
            width: 100%;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 4px;
            box-sizing: border-box;
        }
        .eye-icon {
            position: absolute;
            right: 10px;
            top: 33px; /* adjusted to align vertically center with input field */
            cursor: pointer;
            color: #666;
        }
        .container button, .back-link {
            background-color: #bdd248; /* Light green */
            color: #fff;
            font-size: 12px;
            padding: 10px 45px;
            border: 1px solid transparent;
            border-radius: 8px;
            font-weight: 600;
            letter-spacing: 0.5px;
            text-transform: uppercase;
            margin-top: 20px;
            cursor: pointer;
            text-align: center;
            text-decoration: none;
            display: block;
        }
        .container button.hidden {
            background-color: transparent;
            border-color: #fff;
        }
        .container button:hover, .back-link:hover {
            background-color: #b6cd32; /* Darker light green */
        }
    </style>
</head>
<body>
<div class="container">
    <h2>Réinitialiser votre mot de passe</h2>
    <form th:action="@{/api/auth/reset-password}" method="post">
        <input type="hidden" name="token" th:value="${token}" />
        <div class="password-wrapper">
            <label for="password">Nouveau mot de passe:</label>
            <input type="password" id="password" name="password" required />
            <i class="fas fa-eye-slash eye-icon" onclick="togglePasswordVisibility('password')"></i>
        </div>
        <div class="password-wrapper">
            <label for="confirmPassword">Confirmez le mot de passe:</label>
            <input type="password" id="confirmPassword" name="confirmPassword" required />
            <i class="fas fa-eye-slash eye-icon" onclick="togglePasswordVisibility('confirmPassword')"></i>
        </div>
        <button type="submit">Réinitialiser le mot de passe</button>
        <a class="back-link" th:href="@{http://34.49.177.183/login}">Retour à la page de connexion</a>
    </form>
</div>
<script>
    function togglePasswordVisibility(inputId) {
        var input = document.getElementById(inputId);
        var icon = input.nextElementSibling;
        if (input.type === 'password') {
            input.type = 'text';
            icon.classList.remove('fa-eye-slash');
            icon.classList.add('fa-eye');
        } else {
            input.type = 'password';
            icon.classList.remove('fa-eye');
            icon.classList.add('fa-eye-slash');
        }
    }
</script>
</body>
</html>
